ChangeSet 1.1587.12.52, 2004/04/30 14:49:21-07:00, eike-hotplug@sf-tec.de

[PATCH] PCI Express Hotplug: kill hardware_test

The hardware_test function of the PCI Express Hotplug driver is empty. It's
better to completely kill this to tell the user hardware tests are not
supported by this driver.


 drivers/pci/hotplug/pciehp_core.c |    7 -------
 1 files changed, 7 deletions(-)


diff -Nru a/drivers/pci/hotplug/pciehp_core.c b/drivers/pci/hotplug/pciehp_core.c
--- a/drivers/pci/hotplug/pciehp_core.c	Mon May 17 17:00:39 2004
+++ b/drivers/pci/hotplug/pciehp_core.c	Mon May 17 17:00:39 2004
@@ -70,7 +70,6 @@
 static int set_attention_status (struct hotplug_slot *slot, u8 value);
 static int enable_slot		(struct hotplug_slot *slot);
 static int disable_slot		(struct hotplug_slot *slot);
-static int hardware_test	(struct hotplug_slot *slot, u32 value);
 static int get_power_status	(struct hotplug_slot *slot, u8 *value);
 static int get_attention_status	(struct hotplug_slot *slot, u8 *value);
 static int get_latch_status	(struct hotplug_slot *slot, u8 *value);
@@ -83,7 +82,6 @@
 	.set_attention_status =	set_attention_status,
 	.enable_slot =		enable_slot,
 	.disable_slot =		disable_slot,
-	.hardware_test =	hardware_test,
 	.get_power_status =	get_power_status,
 	.get_attention_status =	get_attention_status,
 	.get_latch_status =	get_latch_status,
@@ -259,11 +257,6 @@
 	dbg("%s - physical_slot = %s\n", __FUNCTION__, hotplug_slot->name);
 
 	return pciehp_disable_slot(slot);
-}
-
-static int hardware_test (struct hotplug_slot *hotplug_slot, u32 value)
-{
-	return 0;
 }
 
 static int get_power_status(struct hotplug_slot *hotplug_slot, u8 *value)
